JEIEvents.hideItems(event => {
    [
        '#kubejs:disabled',
        '#kubejs:variant',
        'painting',
        'potion',
        'splash_potion',
        'lingering_potion',
        'enchanted_book',
        /.*spawn_egg/,
        'command_block',
        'chain_command_block',
        'repeating_command_block',
        'command_block_minecart',
        'jigsaw',
        'structure_block',
        'structure_void',
        'barrier',
        'debug_stick',
        'light',
        'enigmaticlegacy:common_potion_splash',
        'enigmaticlegacy:common_potion_lingering',
        'enigmaticlegacy:ultimate_potion_splash',
        'enigmaticlegacy:ultimate_potion_lingering',
        'enigmaticaddons:common_potion_splash',
        'enigmaticaddons:common_potion_lingering',
        'enigmaticaddons:ultimate_potion_splash',
        'enigmaticaddons:ultimate_potion_lingering',
        'quark:ancient_tome',
        'enigmaticaddons:bless_stone',
        'enigmaticaddons:bless_ring',
        'enigmaticlegacy:ender_ring',
        'enigmaticlegacy:cursed_stone',
        'enigmaticlegacy:loot_generator',
        'enigmaticlegacy:redemption_potion',
        'enigmaticlegacy:soul_crystal',
        'enigmaticlegacy:deception_amulet',
        'enigmaticlegacy:etherium_scraps',
        'enigmaticlegacy:soul_dust',
        'enigmaticlegacy:the_judgement',
        'enigmaticlegacy:star_fabric'
    ].forEach(type => {
        event.hide(type);
    });
});

JEIEvents.hideFluids(event => {
    event.hideAll();
});

JEIEvents.addItems(event => {
    event.add(Item.of('painting', '{EntityTag:{}}').strongNBT());
    event.add(Item.of('minecraft:tipped_arrow', '{Potion:"minecraft:water"}').strongNBT());
    event.add(Item.of('minecraft:splash_potion', '{Potion:"minecraft:water"}').strongNBT());
    event.add(Item.of('minecraft:lingering_potion', '{Potion:"minecraft:water"}').strongNBT());
    event.add('bundle');
});

JEIEvents.information(event => {
    let info = (item, text) => {
        event.addItem(item, Text.translate('jei.kubejs.information.' + text));
    };
    info('stone_bricks', 'runner');
    info('deepslate_tiles', 'runner');
    info('dirt_path', 'runner');
    info('map_atlases:atlas', 'atlas');
    info('oak_boat', 'boat');
    info('quark:hammer', 'hammer');
    info('leather_horse_armor', 'horse');
    info('iron_ingot', 'iron_ingot');
    info('emerald', 'trade');
    info('moss_block', 'nerf');
    info('cactus', 'nerf');
    info('brick', 'brick');
    info('totem_of_undying', 'ravager');
    info('echo_shard', 'warden');
})